Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenApplication

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenApplicationImpl

    public interface GenApplication

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Application'.

The following features are supported:

- `Editor Gen`
- `ID`
- `Title`
- `Package Name`
- `Class Name`
- `Workbench Advisor Class Name`
- `Workbench Window Advisor Class Name`
- `Action Bar Advisor Class Name`
- `Perspective Class Name`
- `Perspective Id`
- `Support Files`
- `Shared Contribution Items`
- `Main Menu`
- `Main Tool Bar`

See Also:
  `GMFGenPackage.getGenApplication()`
** Generated **
Model:

Method Summary
`java.lang.String` `getActionBarAdvisorClassName()` Returns the value of the 'Action Bar Advisor Class Name' attribute
`java.lang.String` `getActionBarAdvisorQualifiedClassName()`
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`GenMenuManager` `getMainMenu()` Returns the value of the 'Main Menu' containment reference
`GenToolBarManager` `getMainToolBar()` Returns the value of the 'Main Tool Bar' containment reference
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getPerspectiveClassName()` Returns the value of the 'Perspective Class Name' attribute
`java.lang.String` `getPerspectiveId()` Returns the value of the 'Perspective Id' attribute
`java.lang.String` `getPerspectiveQualifiedClassName()`
`java.lang.String` `getQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenContributionItem>` `getSharedContributionItems()` Returns the value of the 'Shared Contribution Items' containment reference list.
`java.lang.String` `getTitle()` Returns the value of the 'Title' attribute
`java.lang.String` `getWorkbenchAdvisorClassName()` Returns the value of the 'Workbench Advisor Class Name' attribute
`java.lang.String` `getWorkbenchAdvisorQualifiedClassName()`
`java.lang.String` `getWorkbenchWindowAdvisorClassName()` Returns the value of the 'Workbench Window Advisor Class Name' attribute
`java.lang.String` `getWorkbenchWindowAdvisorQualifiedClassName()`
`boolean` `isSupportFiles()` Returns the value of the 'Support Files' attribute
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute
`void` `setMainMenu(GenMenuManager value)` Sets the value of the '`Main Menu`' containment reference
`void` `setMainToolBar(GenToolBarManager value)` Sets the value of the '`Main Tool Bar`' containment reference
`void` `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute
`void` `setPerspectiveId(java.lang.String value)` Sets the value of the '`Perspective Id`' attribute
`void` `setSupportFiles(boolean value)` Sets the value of the '`Support Files`' attribute
`void` `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Application`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenApplication_EditorGen()`, `GenEditorGenerator.getApplication()`
  ** Generated **
  Model:
    opposite="application" resolveProxies="false" required="true" transient="false" changeable="false"

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  RCP Application ID for plugin.xml

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `GMFGenPackage.getGenApplication_ID()`
  ** Generated **
  Model:

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`
  ** Generated **

### getTitle

    java.lang.String getTitle()

  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' attribute.
  See Also:
    `setTitle(String)`, `GMFGenPackage.getGenApplication_Title()`
  ** Generated **
  Model:

### setTitle

    void setTitle(java.lang.String value)

  Sets the value of the '`Title`' attribute.

  Parameters:
    `value` - the new value of the 'Title' attribute.
  See Also:
    `getTitle()`
  ** Generated **

### getPackageName

    java.lang.String getPackageName()

  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `setPackageName(String)`, `GMFGenPackage.getGenApplication_PackageName()`
  ** Generated **
  Model:

### setPackageName

    void setPackageName(java.lang.String value)

  Sets the value of the '`Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name' attribute.
  See Also:
    `getPackageName()`
  ** Generated **

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getGenApplication_ClassName()`
  ** Generated **
  Model:

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getWorkbenchAdvisorClassName

    java.lang.String getWorkbenchAdvisorClassName()

  Returns the value of the 'Workbench Advisor Class Name' attribute.

  If the meaning of the 'Workbench Advisor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Workbench Advisor Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_WorkbenchAdvisorClassName()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getWorkbenchWindowAdvisorClassName

    java.lang.String getWorkbenchWindowAdvisorClassName()

  Returns the value of the 'Workbench Window Advisor Class Name' attribute.

  If the meaning of the 'Workbench Window Advisor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Workbench Window Advisor Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_WorkbenchWindowAdvisorClassName()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getActionBarAdvisorClassName

    java.lang.String getActionBarAdvisorClassName()

  Returns the value of the 'Action Bar Advisor Class Name' attribute.

  If the meaning of the 'Action Bar Advisor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Bar Advisor Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_ActionBarAdvisorClassName()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getPerspectiveClassName

    java.lang.String getPerspectiveClassName()

  Returns the value of the 'Perspective Class Name' attribute.

  If the meaning of the 'Perspective Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Perspective Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_PerspectiveClassName()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getPerspectiveId

    java.lang.String getPerspectiveId()

  Returns the value of the 'Perspective Id' attribute.

  If the meaning of the 'Perspective Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Perspective Id' attribute.
  See Also:
    `setPerspectiveId(String)`, `GMFGenPackage.getGenApplication_PerspectiveId()`
  ** Generated **
  Model:

### setPerspectiveId

    void setPerspectiveId(java.lang.String value)

  Sets the value of the '`Perspective Id`' attribute.

  Parameters:
    `value` - the new value of the 'Perspective Id' attribute.
  See Also:
    `getPerspectiveId()`
  ** Generated **

### isSupportFiles

    boolean isSupportFiles()

  Returns the value of the 'Support Files' attribute. Option to create/save/open diagrams in/from java files

  Returns:
    the value of the 'Support Files' attribute.
  See Also:
    `setSupportFiles(boolean)`, `GMFGenPackage.getGenApplication_SupportFiles()`
  ** Generated **
  Model:

### setSupportFiles

    void setSupportFiles(boolean value)

  Sets the value of the '`Support Files`' attribute.

  Parameters:
    `value` - the new value of the 'Support Files' attribute.
  See Also:
    `isSupportFiles()`
  ** Generated **

### getSharedContributionItems

    org.eclipse.emf.common.util.EList<GenContributionItem> getSharedContributionItems()

  Returns the value of the 'Shared Contribution Items' containment reference list. The list contents are of type `GenContributionItem`.

  If the meaning of the 'Shared Contribution Items' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shared Contribution Items' containment reference list.
  See Also:
    `GMFGenPackage.getGenApplication_SharedContributionItems()`
  ** Generated **
  Model:
    containment="true"

### getMainMenu

    GenMenuManager getMainMenu()

  Returns the value of the 'Main Menu' containment reference.

  If the meaning of the 'Main Menu' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Main Menu' containment reference.
  See Also:
    `setMainMenu(GenMenuManager)`, `GMFGenPackage.getGenApplication_MainMenu()`
  ** Generated **
  Model:
    containment="true"

### setMainMenu

    void setMainMenu(GenMenuManager value)

  Sets the value of the '`Main Menu`' containment reference.

  Parameters:
    `value` - the new value of the 'Main Menu' containment reference.
  See Also:
    `getMainMenu()`
  ** Generated **

### getMainToolBar

    GenToolBarManager getMainToolBar()

  Returns the value of the 'Main Tool Bar' containment reference.

  If the meaning of the 'Main Tool Bar' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Main Tool Bar' containment reference.
  See Also:
    `setMainToolBar(GenToolBarManager)`, `GMFGenPackage.getGenApplication_MainToolBar()`
  ** Generated **
  Model:
    containment="true"

### setMainToolBar

    void setMainToolBar(GenToolBarManager value)

  Sets the value of the '`Main Tool Bar`' containment reference.

  Parameters:
    `value` - the new value of the 'Main Tool Bar' containment reference.
  See Also:
    `getMainToolBar()`
  ** Generated **

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getWorkbenchAdvisorQualifiedClassName

    java.lang.String getWorkbenchAdvisorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getWorkbenchWindowAdvisorQualifiedClassName

    java.lang.String getWorkbenchWindowAdvisorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getActionBarAdvisorQualifiedClassName

    java.lang.String getActionBarAdvisorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getPerspectiveQualifiedClassName

    java.lang.String getPerspectiveQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.